Bug 242819 - [NEW PORT] www/py-flask-jwt-extended: Extended JWT integration with Flask
Summary: [NEW PORT] www/py-flask-jwt-extended: Extended JWT integration with Flask
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: feature
Depends on: 242818
Blocks: 242817
  Show dependency treegraph
 
Reported: 2019-12-22 22:08 UTC by Goran Mekić
Modified: 2020-01-15 05:44 UTC (History)
3 users (show)

See Also:


Attachments
py-flask-jwt-extended.diff (3.05 KB, patch)
2019-12-22 22:08 UTC, Goran Mekić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-22 22:08:36 UTC
Created attachment 210164 [details]
py-flask-jwt-extended.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (147 passed 3 deselected)
Comment 1 commit-hook freebsd_committer 2020-01-14 22:33:58 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Jan 14 22:33:49 UTC 2020
New revision: 523073
URL: https://svnweb.freebsd.org/changeset/ports/523073

Log:
  Add new port www/py-flask-jwt-extended

  Flask-JWT-Extended not only adds support for using JSON Web Tokens (JWT) to
  Flask for protecting views, but also many helpful (and optional) features built
  in to make working with JSON Web Tokens easier.

  WWW: https://github.com/coleifer/flask-peewee

  PR:		242819
  Submitted by:	Goran Meki? <meka@tilda.center>

Changes:
  head/www/Makefile
  head/www/py-flask-jwt-extended/
  head/www/py-flask-jwt-extended/Makefile
  head/www/py-flask-jwt-extended/distinfo
  head/www/py-flask-jwt-extended/pkg-descr
Comment 2 Ben Woods freebsd_committer 2020-01-14 22:34:44 UTC
Committed without any changes - nice work!
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-15 02:00:25 UTC
@Ben Could you lowercase PORTNAME please, I missed this one in the the set of other ports Meka submitted 

See Also: bug 242616 comment 4 and bug 242617 comment 2

Thanks!
Comment 4 commit-hook freebsd_committer 2020-01-15 05:42:22 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jan 15 05:41:56 UTC 2020
New revision: 523081
URL: https://svnweb.freebsd.org/changeset/ports/523081

Log:
  www/py-flask-jwt-extended: Lowercase PORTNAME and correct LICENSE

  PR:		242819
  Reported by:	koobs

Changes:
  head/www/py-flask-jwt-extended/Makefile